<?xml version="1.0" encoding="UTF-8"?>
<definitions 
    name="propiedadesWSDL" 
    targetNamespace="http://j2ee.netbeans.org/wsdl/propiedadesWSDL"
    xmlns="http://schemas.xmlsoap.org/wsdl/"
    xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
    xmlns:tns="http://j2ee.netbeans.org/wsdl/propiedadesWSDL" 
    xmlns:ns="http://xml.netbeans.org/schema/SynchronousSample"
    xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype"
    xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
  <types>
    <xsd:schema targetNamespace="http://j2ee.netbeans.org/wsdl/propiedadesWSDL">
      <xsd:import namespace="http://xml.netbeans.org/schema/SynchronousSample" schemaLocation="LoanApprovalExtended.xsd"/>
    </xsd:schema>
  </types>

  <message name="REGPROPIEDAD_Request">
    <part name="dni" type="xsd:string"/>
  </message>
  <message name="REGPROPIEDAD_Response">
    <part name="propiedades" type="ns:RegistroPropiedad"/>
  </message>
  <portType name="propiedadesWSDLPortType">
    <operation name="REGPROPIEDAD_Operation">
      <input name="input1" message="tns:REGPROPIEDAD_Request"/>
      <output name="output1" message="tns:REGPROPIEDAD_Response"/>
    </operation>
  </portType>
  <binding name="propiedadesWSDLBinding" type="tns:propiedadesWSDLPortType">
    <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
    <operation name="REGPROPIEDAD_Operation">
      <soap:operation/>
      <input name="input1">
	<soap:body use="literal" namespace="http://j2ee.netbeans.org/wsdl/propiedadesWSDL"/>
      </input>
      <output name="output1">
	<soap:body use="literal" namespace="http://j2ee.netbeans.org/wsdl/propiedadesWSDL"/>
      </output>
    </operation>
  </binding>
  <service name="propiedadesWSDLService">
    <port name="propiedadesWSDLPort" binding="tns:propiedadesWSDLBinding">
      <soap:address location="http://localhost:${HttpDefaultPort}/propiedadesWSDLService/propiedadesWSDLPort"/>
    </port>
  </service>
  <plnk:partnerLinkType name="propiedadesWSDL">
    <plnk:role name="propiedadesWSDLPortTypeRole" portType="tns:propiedadesWSDLPortType"/>
  </plnk:partnerLinkType>

</definitions>
